Date: Mon, 10 Feb 1997 18:16:24 +0100 (MET)
From: Guenther Kelleter <guenther@Pool.Informatik.RWTH-Aachen.de>
X-Sender: guenther@pc7390
To: Linux68k-ML <linux-m68k@phil.uni-sb.de>
Subject: L68K: Misc patches 2.1.21
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: linux-m68k@phil.uni-sb.de

Hi!

Some minor corrections:


diff -urp -X ../exclude-linux -X ../exclude-dirs
m68k-2.1.21/arch/m68k/boot/atari/bootstrap.c m68k-2.1.21.compile/arch/m68k/boot/atari/bootstrap.c
--- m68k-2.1.21/arch/m68k/boot/atari/bootstrap.c	Sat Jan 18 15:03:49 1997
+++ m68k-2.1.21.compile/arch/m68k/boot/atari/bootstrap.c	Sat Jan 18 18:03:05 1997
@@ -998,7 +998,7 @@ int main(int argc, char *argv[])
     if (debugflag)
     {
 	if (bi.ramdisk.size)
-	    printf ("RAM disk at %#lx, size is %ldK\n",
+	    printf ("RAM disk at %#lx, size is %ld\n",
 		    (u_long)(memptr + memreq - rd_size),
 		    bi.ramdisk.size);
 
diff -urp -X ../exclude-linux -X ../exclude-dirs m68k-2.1.21/arch/m68k/kernel/traps.c m68k-2.1.21.compile/arch/m68k/kernel/traps.c
--- m68k-2.1.21/arch/m68k/kernel/traps.c	Sat Jan 18 15:03:55 1997
+++ m68k-2.1.21.compile/arch/m68k/kernel/traps.c	Sat Feb  8 22:38:47 1997
@@ -143,7 +143,7 @@ static inline void console_verbose(void)
 	mach_debug_init();
 }
 
-char *vec_names[] = {
+static char *vec_names[] = {
 	"RESET SP", "RESET PC", "BUS ERROR", "ADDRESS ERROR",
 	"ILLEGAL INSTRUCTION", "ZERO DIVIDE", "CHK", "TRAPcc",
 	"PRIVILEGE VIOLATION", "TRACE", "LINE 1010", "LINE 1111",
@@ -162,17 +162,17 @@ char *vec_names[] = {
 	"FPCP BSUN", "FPCP INEXACT", "FPCP DIV BY 0", "FPCP UNDERFLOW",
 	"FPCP OPERAND ERROR", "FPCP OVERFLOW", "FPCP SNAN",
 	"FPCP UNSUPPORTED OPERATION",
-	"MMU CONFIGUATION ERROR"
+	"MMU CONFIGURATION ERROR"
 	};
 
-char *space_names[] = {
+static char *space_names[] = {
 	"Space 0", "User Data", "User Program", "Space 3",
 	"Space 4", "Super Data", "Super Program", "CPU"
 	};
 
 
 
-extern void die_if_kernel(char *,struct pt_regs *,int);
+void die_if_kernel(char *,struct pt_regs *,int);
 asmlinkage int do_page_fault(struct pt_regs *regs, unsigned long address,
                              unsigned long error_code);
 
diff -urp -X ../exclude-linux -X ../exclude-dirs m68k-2.1.21/drivers/block/acsi.c m68k-2.1.21.compile/drivers/block/acsi.c
--- m68k-2.1.21/drivers/block/acsi.c	Sat Nov 30 21:16:46 1996
+++ m68k-2.1.21.compile/drivers/block/acsi.c	Sat Jan 18 18:03:13 1997
@@ -1127,9 +1127,8 @@ static int acsi_ioctl( struct inode *ino
 		 * ACSI disks...
 		 */
 	  case BLKGETSIZE:   /* Return device size */
-		if (put_user(acsi_part[MINOR(inode->i_rdev)].nr_sects,
-			     (long *)arg))
-                    return -EFAULT;                                     
+		return put_user(acsi_part[MINOR(inode->i_rdev)].nr_sects,
+				(long *) arg);
 	  case BLKFLSBUF:
 		if(!suser())  return -EACCES;
 		if(!inode->i_rdev) return -EINVAL;
diff -urp -X ../exclude-linux -X ../exclude-dirs m68k-2.1.21/include/asm-m68k/ide.h m68k-2.1.21.compile/include/asm-m68k/ide.h
--- m68k-2.1.21/include/asm-m68k/ide.h	Sun Nov 10 19:52:58 1996
+++ m68k-2.1.21.compile/include/asm-m68k/ide.h	Sat Jan 25 14:21:37 1997
@@ -40,6 +40,7 @@
 #endif /* CONFIG_AMIGA */
 
 #ifdef CONFIG_ATARI
+#include <linux/interrupt.h>	/* intr_count */
 #include <asm/atarihw.h>
 #include <asm/atarihdreg.h>
 #include <asm/atariints.h>


Guenther
----
<guenther@pool.informatik.rwth-aachen.de>

